Bug 732000 - as7: Domain Controller operation 'Shut down this host controller' displays exception in history
as7: Domain Controller operation 'Shut down this host controller' displays ex...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-08-19 08:29 EDT by Sunil Kondkar
Modified: 2012-02-07 14:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:27:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2011-08-19 08:29:34 EDT
Description of problem:

When a operation 'Shut down this host controller'  is scheduled on Domain Controller, the history displays failed status and the history details display below error:

java.lang.Exception: Operation name did not contain a ':'
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)

-----------

If we do 'avail' at agent command prompt, and navigate to the as7 domain controller resource, it displays down status with red icon.


Version-Release number of selected component (if applicable):

Build#306 (Version: 4.1.0-SNAPSHOT Build Number: c5c70b8)

How reproducible:
Always

Steps to Reproduce:

1. Login to RHQ.
2. Navigate to the 'Operations->Schedules' tab of the as7 domain controller resource.
3. click on 'New' button.
4. Select 'Shut down this host controller' from 'Operations' dropdown.
5. Click on 'Schedule' button.
6. Navigate to the history tab and click on the status.

  
Actual results:

Executing the operation shuts down the host controller, however the history  displays failed status with error.

Expected results:

The history should display success status.

Additional info:
Comment 1 Heiko W. Rupp 2011-08-19 11:21:12 EDT
6e357c1 in master
Comment 2 Sunil Kondkar 2011-08-23 05:54:28 EDT
Verified on build#326 (Version: 4.1.0-SNAPSHOT Build Number: 846a462)

Executed the operation 'Shut down this host controller'. The history displays success status. 

Marking as verified.
Comment 3 Mike Foley 2012-02-07 14:27:51 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.